<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc = "精整基础信息">

 <query id = "FrmTqnqc15.DoAddTqnqc15" desc = "新增"> 
   insert into TQNQC15(YEAR_MONTH,MATERIAL_NAME,MATERIAL_CODE,ALLOY_PRICE,ALLOY_PRICE_NEXT,ALLOY_PRICE_NOW,REC_CREATOR,REC_CREATE_TIME)
   values ('#YEAR_MONTH#','#MATERIAL_NAME#','#MATERIAL_CODE#','#ALLOY_PRICE#','#ALLOY_PRICE_NEXT#','#ALLOY_PRICE_NOW#','#REC_CREATOR#',to_char(sysdate,'yyyy-mm-dd hh24:mi:ss'))
 </query>
 
 <query id = "FrmTqnqc15.doSave" desc = "保存">
  update TQNQC15 set MATERIAL_NAME = ?,ALLOY_PRICE = ?,ALLOY_PRICE_NEXT = ?, ALLOY_PRICE_NOW = ?,REC_REVISOR = ?, REC_REVISE_TIME = to_char(sysdate,'yyyy-mm-dd hh24:mi:ss')
  where MATERIAL_CODE = ? and YEAR_MONTH = ?
 </query>
 
  <query id = "FrmTqnqc15.doDelete" desc = "删除">
  delete from tqnqc15 where MATERIAL_CODE =?  and  YEAR_MONTH = ?
 </query>
 
</queryMap>